/*
 * Querydsl query type
 *
 *
 */
package de.ivu.elect.business.protokollierung.entity;

import static com.querydsl.core.types.PathMetadataFactory.*;

import com.querydsl.core.types.Path;
import com.querydsl.core.types.PathMetadata;
import com.querydsl.core.types.dsl.EntityPathBase;
import com.querydsl.core.types.dsl.NumberPath;
import com.querydsl.core.types.dsl.StringPath;
import com.querydsl.core.types.dsl.EnumPath;
import com.querydsl.core.types.dsl.DateTimePath;
import com.querydsl.core.types.dsl.SetPath;
import com.querydsl.core.types.dsl.BooleanPath;
import com.querydsl.core.types.dsl.PathInits;

@javax.enterprise.inject.Vetoed
@javax.annotation.Generated("de.ivu.takatuka")
public class QLoeschProtokoll extends EntityPathBase<LoeschProtokoll> {

  private static final long serialVersionUID = -1;

  // Wird benötigt zur Initialisierung der Entitäten. Verhindert Schleifen, initialisiert standardmäßig aber nur direkte Referenzen, nicht mehrere Ebenen. Mehrere Ebenen müssen explizit angegeben werden.
  private static final PathInits INITS_SAFE = new PathInits("*"
	// Wahltermin
, "wahltermin.customDataStorage"
, "wahltermin.einsehenRolle"
, "wahltermin.mandant"
, "wahltermin.stichwahlWahlterminUrspruenglich"
	// Wahl
, "wahl.berichtetAn"
, "wahl.customDataStorage"
, "wahl.einsehenRolle"
, "wahl.wahlart"
, "wahl.wahltermin"
);

  private static final PathInits INITS = de.ivu.elect.jee.entity.QueryDsl.DIREKT_4_EBENEN;

  public static final QLoeschProtokoll loeschProtokoll = new QLoeschProtokoll("loeschProtokoll");

  public final NumberPath<Long> id = createNumber("id", Long.class);

  public final StringPath benutzerkennung = createString("benutzerkennung");

  public final StringPath entitaet = createString("entitaet");

  public final StringPath messageKey = createString("messageKey");

  public final StringPath messageParams = createString("messageParams");

  public final NumberPath<java.lang.Long> primaerschluessel = createNumber("primaerschluessel", java.lang.Long.class);

  public final DateTimePath zeitpunkt = createDateTime("zeitpunkt", java.sql.Timestamp.class);


  // Beziehungen N:1 unidirektional

  public final de.ivu.elect.business.wahl.entity.QWahltermin wahltermin;

  public final de.ivu.elect.business.wahl.entity.QWahl wahl;

  // Beziehungen N:1 bidirektional


  // Beziehungen 1:N bidirektional

  /**
   * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

  public QLoeschProtokoll(Class<? extends LoeschProtokoll> type, PathMetadata metadata, PathInits inits) {
    super(type, metadata, inits);
    this.wahltermin = inits.isInitialized("wahltermin") ? new de.ivu.elect.business.wahl.entity.QWahltermin(forProperty("wahltermin"), inits.get("wahltermin")) : null;// de.ivu.elect.business.wahl.entity.QWahltermin.wahltermin;
    this.wahl = inits.isInitialized("wahl") ? new de.ivu.elect.business.wahl.entity.QWahl(forProperty("wahl"), inits.get("wahl")) : null;// de.ivu.elect.business.wahl.entity.QWahl.wahl;
  }

  public QLoeschProtokoll(String variable) {
    this(LoeschProtokoll.class, forVariable(variable), INITS);
  }

  public QLoeschProtokoll(Path<? extends LoeschProtokoll> path) {
    this(path.getType(), path.getMetadata(), path.getMetadata().isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QLoeschProtokoll(PathMetadata metadata) {
    this(metadata, metadata.isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QLoeschProtokoll(PathMetadata metadata, PathInits inits) {
    this(LoeschProtokoll.class, metadata, inits);
  }
}
